Subject: bug#16507: [RFC] Add a systemd service file for dealing with emacs --daemon.

From: Rüdiger Sonderfeld <[email-masked]>
Date: Fri, 05 Dec 2014 18:26:58 +0100

On Wednesday 03 December 2014 22:00:44 Glenn Morris wrote:
> Thanks, looks nice.
> (Don't see why it needed to be posted to two mailing lists though.)

Sorry about that.

> Should the name of the service file not respect program-transform though?
> Ie, if I am installing the Emacs binary as "emacs24", should the service
> file not be installed as "emacs24.service"?

That makes sense and would solve the problem of having several Emacs versions 
installed.

I'm a bit afraid that using the directory given by systemd might be confusing 
because it won't respect the prefix set by the user.  E.g., Emacs being 
installed to /usr/local but the service file going to /usr/lib/systemd/user.  
However, I think this is just the way systemd expects things to be and it 
would be up to the systemd developers to change this.

Regards,
Rüdiger